Summary:	The LibGTop library
Name:     	libgtop
Version: 	1.0.9
Release:	5mdk
Copyright:	GPL
Group:		System/Libraries
BuildRequires: gnome-libs-devel zlib-devel
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	bc

# Mandrake patches

# Helix patches

%description
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package devel
#%package -n libgtopd
Summary:	Libraries, includes and other files to develop LibGTop applications.
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{PACKAGE_VERSION}

%description devel
#%description -n libgtopd
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

#%package examples
#Summary: These are examples for LibGTop, a library which retrieves information about your system, such as CPU and memory usage.
#Group: System Environment/Libraries
#Requires: libgtop = %{PACKAGE_VERSION}

#%description examples
#Install this package for a set of programs that are examples of developing
#with libgtop.

%prep
%setup -q
echo "	*****     Applying Mandrake patches        *****	"
echo "	*****     Applying Helix patches     *****	"

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc copyright.txt
%doc src/inodedb/README.inodedb

%{_libdir}/lib*.so.*
%{_infodir}/*
%{_bindir}/libgtop_daemon

%files devel
#%files -n libgtopd
%defattr(-, root, root)
%{_bindir}/libgtop-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_libdir}/*.def
%{_includedir}/*

#%files examples
#%defattr(-,root,root)

#%{_libdir}exec/libgtop/*

%changelog
* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-5mdk
- Use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-4mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-3mdk
- More BM
- libgtop-bin is now in devel

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.9-2mdk
- BM

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release
- fix URL
- remove debug info from compilation step (anyway, they were stripped by
  spechelper)
- RPM chmouelization (%%makeinstall, %%configure, %%{_*dir})

* Mon Apr 3 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.1mdk
- bzipped source 
- include helix stuffs

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and build for curr glibc 
